#! /usr/bin/env node
/***
 * Sangjog CLI
 * Copyright(c) 2022 Hirak Santra
 */
const yargs = require('yargs/yargs')
const { hideBin } = require('yargs/helpers')
const argv = yargs(hideBin(process.argv)).argv;
const ProcessCheck = require('./process-ckeck');
const sangjog = require('../lib/sangjog-cli');

const cmdList = argv._;

ProcessCheck.check();

if(cmdList.length) {
    sangjog.clear();
    sangjog.consume(cmdList);
    sangjog.run();
} else {
    throw Error(`No Command entered...`)
}

